Get asset ATH
curl --request GET \
--url https://api.messari.io/metrics/v2/assets/ath \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/assets/ath"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/assets/ath', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": [
{
"id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
"name": "Solana",
"slug": "solana",
"symbol": "SOL",
"category": "Networks",
"sector": "Smart Contract Platform",
"tags": [
"Proof-of-Stake",
"SEC Alleged Securities",
"Stakeable"
],
"allTimeHigh": {
"allTimeHigh": 294.51538872508485,
"allTimeHighDate": "2025-01-19T11:00:00Z",
"allTimeHighTimeSinceSeconds": 50338680,
"allTimeHighPercentDown": 65.97545363689574,
"breakevenMultiple": 2.939054614654278,
"cycleLow": 60.31919725339023,
"cycleLowDate": "2026-06-06T05:00:00Z",
"cycleLowTimeSinceSeconds": 6901080,
"cycleLowPercentUp": 66.12874432378337
}
},
{
"id": "1e31218a-e44e-4285-820c-8282ee222035",
"name": "Bitcoin",
"slug": "bitcoin",
"symbol": "BTC",
"category": "Cryptocurrency",
"sector": "Cryptocurrency",
"tags": [
"Proof-of-Work"
],
"allTimeHigh": {
"allTimeHigh": 126238.2220708942,
"allTimeHighDate": "2025-10-06T18:00:00Z",
"allTimeHighTimeSinceSeconds": 27849480,
"allTimeHighPercentDown": 36.99990883191281,
"breakevenMultiple": 1.5872992903009508,
"cycleLow": 57854.64489846412,
"cycleLowDate": "2026-07-01T01:00:00Z",
"cycleLowTimeSinceSeconds": 4755480,
"cycleLowPercentUp": 37.46553130386083
}
}
],
"metadata": {
"pageSize": 10,
"page": 1,
"totalRows": 2,
"totalPages": 1
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Assets & Market Data (included with Enterprise)
Get All-Time Highs
Retrieve a specific asset’s ATH
GET
/
metrics
/
v2
/
assets
/
ath
Get asset ATH
x402 Support: Supported.
See the x402 guide.
Authorizations
Query Parameters
Comma separated list of asset identifiers - accepts slugs (e.g. 'bitcoin') or UUIDs
Example:
"bitcoin,ethereum"
Filter By Category
Filter By Sector
Search by name, symbol, slug, or contract address
Limit
Page number (1-indexed)
Example:
1
Column to sort by (default: price-change-24h)
Available options:
name, slug, price-change-24h, price-change-7d, price-change-30d, price-change-1y, price-change-year-to-date, all-time-high, all-time-high-percent-down, breakeven-multiple, cycle-low-percent-up Sort direction: asc or desc (default: desc)
Available options:
asc, desc 
